libgimpprint API Reference: curve-cache.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/curve-cache.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include <gimp-print/curve-cache.h>`
`#include <math.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions
void | stp_curve_free_curve_cache (stp_cached_curve_t *cache)
void | stp_curve_cache_curve_data (stp_cached_curve_t *cache)
stp_curve_t * | stp_curve_cache_get_curve (stp_cached_curve_t *cache)
void | stp_curve_cache_curve_invalidate (stp_cached_curve_t *cache)
void | stp_curve_cache_set_curve (stp_cached_curve_t *cache, stp_curve_t *curve)
void | stp_curve_cache_set_curve_copy (stp_cached_curve_t *cache, const stp_curve_t *curve)
const size_t | stp_curve_cache_get_count (stp_cached_curve_t *cache)
const unsigned short * | stp_curve_cache_get_ushort_data (stp_cached_curve_t *cache)
const double * | stp_curve_cache_get_double_data (stp_cached_curve_t *cache)
void | stp_curve_cache_copy (stp_cached_curve_t *dest, const stp_cached_curve_t *src)

## Function Documentation

void stp_curve_cache_copy | ( | stp_cached_curve_t * | dest,
|  | const stp_cached_curve_t * | src
| ) |

| Definition at line 132 of file curve-cache.c. References stp_cached_curve_t::curve, stp_curve_cache_curve_invalidate(), and stp_curve_cache_set_curve_copy(). Referenced by copy_lut().

void stp_curve_cache_curve_data | ( | stp_cached_curve_t * | cache | ) |

| Definition at line 54 of file curve-cache.c. References stp_cached_curve_t::count, stp_cached_curve_t::curve, stp_cached_curve_t::d_cache, stp_cached_curve_t::s_cache, stp_curve_get_data(), and stp_curve_get_ushort_data().

void stp_curve_cache_curve_invalidate | ( | stp_cached_curve_t * | cache | ) |

| Definition at line 70 of file curve-cache.c. References stp_cached_curve_t::count, stp_cached_curve_t::d_cache, and stp_cached_curve_t::s_cache. Referenced by stp_curve_cache_copy(), stp_curve_cache_set_curve(), and stp_curve_cache_set_curve_copy().

const size_t stp_curve_cache_get_count | ( | stp_cached_curve_t * | cache | ) |

| Definition at line 92 of file curve-cache.c. References stp_cached_curve_t::count, stp_cached_curve_t::curve, stp_cached_curve_t::d_cache, and stp_curve_get_data().

stp_curve_t* stp_curve_cache_get_curve | ( | stp_cached_curve_t * | cache | ) |

| Definition at line 64 of file curve-cache.c. References stp_cached_curve_t::curve. Referenced by compute_a_curve_fast(), compute_a_curve_full(), compute_one_lut(), compute_user_correction(), generic_cmy_to_kcmy(), and initialize_gcr_curve().

const double* stp_curve_cache_get_double_data | ( | stp_cached_curve_t * | cache | ) |

| Definition at line 119 of file curve-cache.c. References stp_cached_curve_t::count, stp_cached_curve_t::curve, stp_cached_curve_t::d_cache, and stp_curve_get_data().

const unsigned short* stp_curve_cache_get_ushort_data | ( | stp_cached_curve_t * | cache | ) |

| Definition at line 105 of file curve-cache.c. References stp_cached_curve_t::count, stp_cached_curve_t::curve, stp_cached_curve_t::s_cache, and stp_curve_get_ushort_data(). Referenced by generic_cmy_to_kcmy().

void stp_curve_cache_set_curve | ( | stp_cached_curve_t * | cache,
|  | stp_curve_t * | curve
| ) |

| Definition at line 78 of file curve-cache.c. References stp_cached_curve_t::curve, stp_curve_cache_curve_invalidate(), and stp_curve_t. Referenced by compute_one_lut(), initialize_gcr_curve(), and stpi_compute_lut().

void stp_curve_cache_set_curve_copy | ( | stp_cached_curve_t * | cache,
|  | const stp_curve_t * | curve
| ) |

| Definition at line 85 of file curve-cache.c. References stp_cached_curve_t::curve, stp_curve_cache_curve_invalidate(), stp_curve_create_copy(), and stp_curve_t. Referenced by setup_channel(), and stp_curve_cache_copy().

void stp_curve_free_curve_cache | ( | stp_cached_curve_t * | cache | ) |

| Definition at line 43 of file curve-cache.c. References stp_cached_curve_t::count, stp_cached_curve_t::curve, stp_cached_curve_t::d_cache, stp_cached_curve_t::s_cache, and stp_curve_destroy(). Referenced by free_channels(), and free_lut().